de.vc.report.sources

## Class MapTableModel

- java.lang.Object
- - de.vc.report.ReportTableModel
  - - de.vc.report.sources.MapTableModel

-     public class MapTableModel
      extends ReportTableModel

  Table model as a list, but rows are holded as a map.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapTableModel()` Creates model for a table of a report.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `commitRow()` Commits and adds the current row to this model.
    `java.lang.String[]` | `definedColumns()` Gets all table columns of this model.
    `protected java.lang.Object` | `doGetValueOfCell(java.lang.String columnName)`
    `protected void` | `doReset()`
    `protected void` | `doSelectNextRow()`
    `boolean` | `hasMoreRows()` Determinates if more rows are available.
    `void` | `setCell(java.lang.String columnName, java.lang.Object value)` Sets the value of a cell of the current row.

    - ### Methods inherited from class de.vc.report.ReportTableModel

      `disposeData, doDisposeData, getLogger, getRowIndex, getValueOfCell, reset, selectNextRow`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapTableModel

          public MapTableModel()

      Creates model for a table of a report. Names of columns aren't case sensitive.

  - ### Method Detail

    - #### commitRow

          public void commitRow()

      Commits and adds the current row to this model.

    - #### definedColumns

          public java.lang.String[] definedColumns()

      Description copied from class: `ReportTableModel`
      Gets all table columns of this model. Note that two different table models must not have equal column names!
      Specified by:
        `definedColumns` in class `ReportTableModel`
      Returns:
        String[] Name of columns.

    - #### doGetValueOfCell

          protected java.lang.Object doGetValueOfCell(java.lang.String columnName)

      Specified by:
        `doGetValueOfCell` in class `ReportTableModel`

    - #### doReset

          protected void doReset()

      Specified by:
        `doReset` in class `ReportTableModel`

    - #### doSelectNextRow

          protected void doSelectNextRow()

      Specified by:
        `doSelectNextRow` in class `ReportTableModel`

    - #### hasMoreRows

          public boolean hasMoreRows()

      Description copied from class: `ReportTableModel`
      Determinates if more rows are available.
      Specified by:
        `hasMoreRows` in class `ReportTableModel`
      Returns:
        true, if at least one row is available.

    - #### setCell

          public void setCell(java.lang.String columnName,
                     java.lang.Object value)

      Sets the value of a cell of the current row.
      Parameters:
        `columnName` - Name of column.
        `value` - Value of field.

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.